> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor-4/the-shift-object.md).

# The Shift Object

This object represents a scheduled shift attached to an opportunity. A shift stores the schedule, capacity, and share link used to publish or manage a specific time slot.

Response Object:

```json
{
  "id": "645dfb6c-437c-42a9-9cf7-2eaf9c0fa87d",
  "created_at": "2026-02-05T07:40:29.324645Z",
  "shift_start_at": "2026-02-12T09:00:00Z",
  "shift_end_at": "2026-02-12T13:00:00Z",
  "spots": 10,
  "spots_reserved": 4,
  "spots_available": 6,
  "opportunity": {
    "id": "2f56f3ef-08f5-4e5a-bf5b-76ca8fc4d5f1",
    "created_at": "2026-02-02T10:15:00Z",
    "category": {
      "id": "d610ab31-e480-4ef1-9e35-94f94ebacde9",
      "title": "Community Outreach",
      "description": "Programs and roles related to outreach work."
    },
    "title": "Weekend Mentor",
    "description": "Support volunteers during weekend sessions.",
    "share_opportunity_url": "https://api.vomevolunteer.com/api/share/opportunity/73bb56fa-6c7f-4fce-ad5a-32eb1ba215a6"
  },
  "shift_location": "123 Main Street",
  "shift_title": "Morning Shift",
  "shift_description": "Support setup and check-in.",
  "share_shift_url": "https://api.vomevolunteer.com/api/share/shift/645dfb6c-437c-42a9-9cf7-2eaf9c0fa87d",
  "title": "Morning Shift",
  "description": "Support setup and check-in."
}
```

Response Object:

* `id`: The unique UUID of the shift.
* `created_at`: The timestamp when the shift was created.
* `shift_start_at`: The scheduled start date and time of the shift.
* `shift_end_at`: The scheduled end date and time of the shift.
* `spots`: The total number of spots available on the shift.
* `spots_reserved`: The number of filled spots currently counted on the shift.
* `spots_available`: The number of remaining available spots.
* `opportunity`**:** Details about the associated opportunity to this shift, including
  * `id` (`string`): Identifier of the opportunity.
  * `title` (`string`): Title of the opportunity.
  * `description`(`string`): Description of the opportunity.
  * `share_opportunity_url`: A public-facing share link for the opportunity.
  * `category` **:** Details of the related category to this opportunity&#x20;
    * `id` (`string`): Identifier of the category.
    * `title` (`string`): Title of the category.
    * `description` (`string`): Description of the category.
* `shift_location`: A derived display location for the shift.
* `shift_title`: The stored title of the shift.
* `shift_description`: The stored description of the shift.
* `share_shift_url`: A public-facing share link for the shift.
* `title`: A convenience alias of `shift_title`.
* `description`: A convenience alias of `shift_description`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor-4/the-shift-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
